# Create sheet in "Sheets" folder (deprecated)

Creates a sheet from scratch or from the specified template in the user's
Sheets folder (Home).

For subfolders, use Create Sheet in Folder.

DEPRECATED - The Sheets folder is being replaced by workspaces. To adapt to this change, please see Migrate from using the Sheets folder.

Endpoint: POST /sheets
Version: 2.0.0
Security: APIToken, OAuth2

## Query parameters:

  - `accessApiLevel` (number)
    Allows COMMENTER access for inputs and return values. For backwards-compatibility, VIEWER is the default. For example, to see whether a user has COMMENTER access for a sheet, use accessApiLevel=1.

  - `include` (string)
    Additional parameter to create a sheet from template.
A comma-separated list of elements to copy from the template.
    Enum: "attachments", "cellLinks", "data", "discussions", "filters", "forms", "ruleRecipients", "rules"

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

  - `Content-Type` (string)
    Required for POST and PUT requests. Defines the structure for the request body.

## Response 200 fields (application/json):

  - `message` (string)
    Message that indicates the outcome of the request. (One of SUCCESS or PARTIAL_SUCCESS.)
    Enum: "PARTIAL_SUCCESS", "SUCCESS"

  - `resultCode` (number)
    * '0' Success
* '3' Partial Success of Bulk Operation
    Enum: 0, 3

  - `result` (any)

## Response default fields (application/json):

  - `refId` (string)
    The ID of the specific error occurrence. Please include this information when contacting Smartsheet support.

  - `errorCode` (number)
    Custom error code from Smartsheet. See the complete [Error Code List](/api/smartsheet/error-codes).

  - `message` (string)
    Descriptive error message.


